package com.junmp.jyzb.service;

import com.junmp.jyzb.api.bean.dto.OrderV2Dto;
import com.junmp.jyzb.api.bean.query.OrderV2Req;
import com.junmp.jyzb.entity.*;
import com.junmp.v2.db.api.page.PageResult;

import java.util.List;

public interface OrderV2Service {
    //主单据详情
    PageResult<OrderV2Dto> getOrderPageV2(OrderV2Req req);

    //采购详情
    List<JpPurchaseDetail> getPurchaseDetail(JpPurchaseDetail req);
    //借用、领用、销毁详情
    List<JpBorrowReturnDetail> getBorrowReturnDetail(JpBorrowReturnDetail req);
    //调拨详情
    List<JpTransferDetail> getTransferDetail(JpTransferDetail req);
    //维修、报废详情
    List<JpFixUselessDetail> getFixUselessDetail(JpFixUselessDetail req);
    //无单据详情
    List<JpNoborrowDetail> getNoBorrowDetail(JpNoborrowDetail req);
}
